%{?python_enable_dependency_generator}

Name:           springerdownload
Version:        1.3
Release:        1%{?dist}
Summary:        Download tool for link.springer.com

Group:          Applications/Productivity
License:        GPLv3
URL:            https://framagit.org/tuxor1337/springerdownload
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  desktop-file-utils
Requires:	    python3
Requires:	    gobject-introspection

%description
Download whole books from link.springer.com storing in a single pdf file and
preserving chapter information in the pdf document's table of contents.

%prep
%setup -q

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}

desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --delete-original										\
        %{buildroot}%{_datadir}/applications/springer_download.desktop

%clean
rm -rf %{buildroot}

%files
%{_bindir}/springer_download
%{_datadir}/applications/fedora-springer_download.desktop
%{_datadir}/pixmaps/springer_download.png
%{_datadir}/doc/springerdl/examples/
%{python3_sitelib}/springerdl/
%{python3_sitelib}/springerdownload-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Jun 28 2019 Thomas Vogt <admin@tovotu.de> - 1.3
- Update to latest git with Python 3 support
* Tue Oct 21 2014 Thomas Vogt <admin@tovotu.de> - 1.2
- Update to latest git
* Tue Oct 21 2014 Thomas Vogt <admin@tovotu.de> - 1.1
- First version for copr
* Mon Dec 24 2012 Thomas Vogt <admin@tovotu.de> - 1.0
- First version for myself
